cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aleksey Yeschenko (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-10142) Driver cannot connect with protocol version < 3
Date Thu, 20 Aug 2015 20:32:46 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-10142?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14705706#comment-14705706
] 

Aleksey Yeschenko commented on CASSANDRA-10142:
-----------------------------------------------

[~bdeggleston] thanks for finding the reason. This needs to be fixed in the driver, for 2.1
and 2.2 C* users. However, for 3.0, after some discussion, we decided to consider removing
support for v1 and v2 protocols (see CASSANDRA-10146), so marking this issue as Won't Fix,
unless someone objects to that decision.

> Driver cannot connect with protocol version < 3
> -----------------------------------------------
>
>                 Key: CASSANDRA-10142
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-10142
>             Project: Cassandra
>          Issue Type: Bug
>            Reporter: Jim Witschey
>            Assignee: Blake Eggleston
>         Attachments: repro.sh
>
>
> When trying to connect with the Python driver to a cluster running trunk, the connection
fails with a {{NoHostAvailable}} exception if the protocol version is set to 1 or 2.
> The attached script reproduces the error and demonstrates that the connection works if
the protocol version is 3 or 4. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message